<?php
// Name: cache.php
// Description: This file is used to delete cache files
// Author: Martin Green
// Version: 1.0
// Last Modified: 02/06/2007

// return user to previous page when done
if (isset($_SERVER['HTTP_REFERER'])) {
  header("Location: " . $_SERVER['HTTP_REFERER']);
} else {
  header("Location: index.php");
}
 
require_once("config.php");

if (isset($_GET['filehash'])) {
  $filehash = $_GET['filehash'];
  // delete the given flv file
  unlink("$flv_cache/$filehash.flv");
}

// if clear is specified clear all flv cache files
if (isset($_GET['clear'])) {
  $dh = opendir($flv_cache);
  // loop through directory list
  while (($file = readdir($dh)) !== false) {
    // check this is a file
    if (is_file("$flv_cache/$file")) {
      // get file extension
      $type = substr($file, (strrpos($file, ".")+1));
      // delete if it is an flv file
      if ($type == "flv") {
        unlink("$flv_cache/$file");
      }
    }
  }
  closedir($dh);
}

// if clearall is specified clear all cache files, including images and info
if (isset($_GET['clearall'])) {
  $dh = opendir($flv_cache);
  // loop through directory list
  while (($file = readdir($dh)) !== false) {
    // check this is a file
    if (is_file("$flv_cache/$file")) {
      // get file extension
      $type = substr($file, (strrpos($file, ".")+1));
      // delete if it is an flv file
      if ($type == "flv") {
        unlink("$flv_cache/$file");
      }
    }
  }
  closedir($dh);
  
  $dh = opendir($image_cache);
  // loop through directory list
  while (($file = readdir($dh)) !== false) {
    // check this is a file
    if (is_file("$image_cache/$file")) {
      // get file extension
      $type = substr($file, (strrpos($file, ".")+1));
      // delete if it is an jpg file
      if ($type == "jpg") {
        unlink("$image_cache/$file");
      }
    }
  }
  closedir($dh);
  
  $dh = opendir($info_cache);
  // loop through directory list
  while (($file = readdir($dh)) !== false) {
    // check this is a file
    if (is_file("$info_cache/$file")) {
      // get file extension
      $type = substr($file, (strrpos($file, ".")+1));
      // delete if it is an info file
      if ($type == "info") {
        unlink("$info_cache/$file");
      }
    }
  }
  closedir($dh);
}
?>