<?php
// Name: download.php
// Description: This file allows users to download the source video
// Author: Martin Green
// Version: 1.0
// Last Modified: 24/05/2007


// include config and function library
require_once("config.php");
require_once("_lib_swvidc.php");

// get file location
if (isset($_GET['dir']) && isset($_GET['file'])) {
  $dir = $_GET['dir'];
  $file = $_GET['file'];
} else {
echo "no args";
  //go_back();
}

// ensure file starts with basedir
if (strpos($dir, $basedir) === false) {
  echo "wrong dir";
  //go_back();
}

// get file extension
$ext = substr($file, (strrpos($file, ".")+1));
// if is not a member of $video_types array, quit
if (array_search(strtoupper($ext), $video_types) === FALSE) {
  echo "wrong type ext: $ext";
  //go_back();
}

// get type from input file
$type = mime_content_type("$dir/$file");

// set type of output
header("Content-type: $type");

// set as to be downloaded with filename
header("Content-Disposition: attachment; filename=\"$file\"");

// load data from file
readfile("$dir/$file");

exit;

function go_back() {
  // return user to previous page
  if (isset($_SERVER['HTTP_REFERER'])) {
    header("Location: " . $_SERVER['HTTP_REFERER']);
  } else {
    header("Location: index.php");
  }
  exit;
}
?>